Skip to main content
POST
Run a Knowledge Connector

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

knowledgeStoreId
string
required

The Id of the KnowledgeStore

Required string length: 24
Pattern: ^[a-z0-9]{24}$
connectorId
string
required

The Id of the KnowledgeConnector

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Response

Returns the Knowledge Connector metadata object.

The IEntityMeta defines meta information every entity within the system has. These are dates when a resource was created and modified as well as information about the user who initially created a resource and who modified it the last time.

extension
string

The name of the extension

Example:

"confluence"

version
string

The version of extension identifier

Example:

"1.1.0"

type
string

The Knowledge Connector type identifier within an extension

Example:

"MyConfluenceConnector"

config
object

The configuration of the KnowledgeConnector

name
string

The name of the KnowledgeConnector

Example:

"My Knowledge Connector"

schedule
object
lastExecution
integer

Unix-timestamp when the last execution was triggered or null if never executed

Required range: 0 <= x <= 2147483647
Example:

1694518620

lastExecutionStatus
enum<string>

Last execution status of the KnowledgeConnector

Available options:
none,
queued,
active,
done,
error
_id
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
createdAt
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

lastChanged
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

createdBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
lastChangedBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
Last modified on July 22, 2026